unit Main;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Menus,
  Dialogs, StdCtrls, Buttons, ExtCtrls, Tabs, TabNotBk, Grids,
  DBGrids, DBCtrls, DB, DBTables, Outline, Mask, Calendar, IvMulti;

type
  TMainForm = class(TForm)
    MainMenu: TMainMenu;
    StatusBar: TPanel;
    SpeedPanel: TPanel;
    OpenBtn: TSpeedButton;
    SaveBtn: TSpeedButton;
    File1: TMenuItem;
    Exit1: TMenuItem;
    N1: TMenuItem;
    SaveAs1: TMenuItem;
    Save1: TMenuItem;
    Open1: TMenuItem;
    New1: TMenuItem;
    Edit1: TMenuItem;
    Paste1: TMenuItem;
    Copy1: TMenuItem;
    Cut1: TMenuItem;
    N5: TMenuItem;
    Undo1: TMenuItem;
    Help1: TMenuItem;
    About1: TMenuItem;
    HowtoUseHelp1: TMenuItem;
    SearchforHelpOn1: TMenuItem;
    Contents1: TMenuItem;
    Options1: TMenuItem;
    Language1: TMenuItem;
    N3: TMenuItem;
    Notebook1: TNotebook;
    TabSet1: TTabSet;
    GroupBox1: TGroupBox;
    GroupBox3: TGroupBox;
    Label1: TLabel;
    Edit2: TEdit;
    ListBox1: TListBox;
    ComboBox1: TComboBox;
    RadioGroup1: TRadioGroup;
    PopupMenu1: TPopupMenu;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Label2: TLabel;
    Label3: TLabel;
    Memo1: TMemo;
    Panel1: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    TabbedNotebook1: TTabbedNotebook;
    Table1: TTable;
    DataSource1: TDataSource;
    DBNavigator1: TDBNavigator;
    DBGrid1: TDBGrid;
    CheckBox1: TCheckBox;
    RadioButton1: TRadioButton;
    Label4: TLabel;
    Outline1: TOutline;
    Header1: THeader;
    Label5: TLabel;
    DBEdit1: TDBEdit;
    Label6: TLabel;
    DBEdit2: TDBEdit;
    Label7: TLabel;
    DBEdit3: TDBEdit;
    GroupBox4: TGroupBox;
    Table1English: TStringField;
    Table1Finnish: TStringField;
    Table1Swedish: TStringField;
    SpeedButton1: TSpeedButton;
    Language2: TMenuItem;
    IvMultiLanguage1: TIvMultiLanguage;
    procedure ShowHint(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure Language1Click(Sender: TObject);
    procedure TabSet1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure multiLanguageTranslateComponent(language: TIvMultiLanguage;
      component: TComponent);
    procedure Open1Click(Sender: TObject);
    procedure SaveAs1Click(Sender: TObject);
    procedure Contents1Click(Sender: TObject);
    procedure HowtoUseHelp1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

uses
  FileDlg,
  About;

{$R *.DFM}

procedure TMainForm.ShowHint(Sender: TObject);
begin
  StatusBar.Caption := Application.Hint;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  Application.OnHint := ShowHint;
  TabSet1.Tabs := Notebook1.Pages;

  Outline1.Add(0, 'One');
  Outline1.AddChild(1, 'One');
  Outline1.AddChild(1, 'Two');
  Outline1.AddChild(1, 'Three');
  Outline1.Add(0, 'Two');
  Outline1.AddChild(5, 'One');
  Outline1.AddChild(5, 'Two');
  Outline1.AddChild(5, 'Three');
  Outline1.Add(0, 'Three');
  Outline1.AddChild(9, 'One');
  Outline1.AddChild(9, 'Two');
  Outline1.AddChild(9, 'Three');
  Outline1.AddChild(9, 'Four');
  Outline1.AddChild(9, 'Five');
  Outline1.Add(0, 'Four');
  Outline1.Add(0, 'Five');

  IvMultiLanguage1.Open(Self);
  Table1.Open;
end;

procedure TMainForm.About1Click(Sender: TObject);
var
  dlg: TAboutDlg;
begin
  dlg := TAboutDlg.Create(nil, IvMultiLanguage1.Language);
  dlg.ShowModal;
  dlg.Free;
end;

procedure TMainForm.Language1Click(Sender: TObject);
begin
  IvMultiLanguage1.Select;
end;

procedure TMainForm.TabSet1Click(Sender: TObject);
begin
  Notebook1.PageIndex := TabSet1.TabIndex;
end;

procedure TMainForm.Exit1Click(Sender: TObject);
begin
  Close;
end;

procedure TMainForm.multiLanguageTranslateComponent(
  language: TIvMultiLanguage;
  component: TComponent);
var
  calandar: TCalendar;
begin
  if component is TCalendar then
  begin
    calandar := component as TCalendar;
  end;
end;

procedure TMainForm.Open1Click(Sender: TObject);
var
  dlg: TFileDialog;
begin
  dlg := TFileDialog.Create(nil, 'Open', IvMultiLanguage1.Language);

  if dlg.ShowModal = mrOk then
  begin
  end;

  dlg.Free;
end;

procedure TMainForm.SaveAs1Click(Sender: TObject);
var
  dlg: TFileDialog;
begin
  dlg := TFileDialog.Create(nil, 'Save', IvMultiLanguage1.Language);

  if dlg.ShowModal = mrOk then
  begin
  end;

  dlg.Free;
end;

procedure TMainForm.Contents1Click(Sender: TObject);
begin
  Application.HelpFile := IvMultiLanguage1.TranslateNativeString('english.hlp');
  Application.HelpCommand(HELP_CONTENTS, 0);
end;

procedure TMainForm.HowtoUseHelp1Click(Sender: TObject);
begin
  Application.HelpFile := IvMultiLanguage1.TranslateNativeString('english.hlp');
  Application.HelpCommand(HELP_HELPONHELP, 0);
end;

end.

